BigAl, Nice idea, I would have gone for Lee Macs string to list, just because I know of that one and not the CSV to list
I get the same as the OP, bad argument type. In the csv-.lst, does the '58' need to be 59, 58 is '':' in AutoCAD [EDITED THIS LINE]
Oh, forgot to add, you need to put the ';' back in the text string as well - see below [EDITED THIS LINE]
Using String to List: http://lee-mac.com/stringtolist.html - but the rest is yours:
(defun LM:str->lst ( str del / pos )
(if (setq pos (vl-string-search del str))
(cons (substr str 1 pos) (LM:str->lst (substr str (+ pos 1 (strlen del))) del))
(list str)
)
)
(defun c:wow ( / ss x att entname numinc newstr lst)
(setq numinc (Getint "\nEnter increment or minus to be used "))
(setq entname (cdr (assoc 2 (entget (car (entsel "Pick 1 block for block name "))))))
(prompt "Select blocks")
(setq ss (ssget (list (cons 0 "INSERT")(cons 2 entname))))
(repeat (setq x (sslength ss))
(setq att (car (vlax-invoke (vlax-ename->vla-object (ssname ss (setq x (1- x)))) 'Getattributes)))
(setq str (vla-get-textstring att))
(if (= (wcmatch str "*;*") nil)
(setq newstr (rtos (+ numinc (atoi str)) 2 0))
(progn
(setq lst (LM:str->lst str ";")) ;; Slight change here
(setq newnum (rtos (+ numinc (atoi (cadr lst))) 2 0))
(setq newstr (strcat (car lst) ";" newnum)) ;; ADD BACK IN THE SEMICOLON HERE
)
)
(vla-put-textstring att newstr)
)
(princ)
)